/// <reference types="google.maps" />
export declare type Libraries = Array<'drawing' | 'geometry' | 'places' | 'visualization'>;
export interface ScriptSrcParams {
    apiKey: string;
    region: string;
    language: string;
    libraries: Libraries;
}
interface Google {
    maps?: typeof google.maps;
}
declare function getAllGmapsScript(): NodeListOf<Element>;
declare function removeExistingGmapsAPIScript(callback: () => void): void;
declare function deleteGmapsInstance(google: Google): void;
declare function createGmapsScriptElement({ apiKey, region, language, libraries, }: ScriptSrcParams): void;
declare const _default: {
    getAllGmapsScript: typeof getAllGmapsScript;
    removeExistingGmapsAPIScript: typeof removeExistingGmapsAPIScript;
    deleteGmapsInstance: typeof deleteGmapsInstance;
    createGmapsScriptElement: typeof createGmapsScriptElement;
};
export default _default;
