import { MutableRefObject } from 'react';
import { Libraries } from './scriptHandler';
declare global {
    interface Window {
        initMap: () => void;
    }
}
export interface ScriptLoader {
    loadScript: (language: string, region: string) => void;
    isLoading: MutableRefObject<boolean>;
}
export interface UseScriptLoader {
    apiKey: string;
    libraries: Libraries;
    initMap: () => Promise<void>;
}
export declare const useScriptLoader: ({ apiKey, initMap, libraries, }: UseScriptLoader) => ScriptLoader;
